Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 131620 - Sharing of personal information
Summary: Sharing of personal information
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-09-02 18:15 UTC by Matthias Clasen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-13 20:46:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 326899 None None None Never

Description Matthias Clasen 2004-09-02 18:15:22 UTC
I had to enter my full name, email address and other pieces of
personal information in quite a few setup wizards by now (gaim,
evolution, gnome-meeting, probably some more). That sucks, they should
all share their information. Isn't evolution-data-server supposed to
provide this ?

Comment 1 Matthias Clasen 2004-09-25 05:57:57 UTC
Not really a YellowPad bug

Comment 2 Dave Malcolm 2005-05-12 21:10:41 UTC
We could prepopulate some of the input fields from GECOS/LDAP and other places
to streamline the configuration process.

There's also a feature request upstream in e-d-s/evo to have a "me" contact,
though I can't find it right now.

Moving to FC5 tracker

Comment 3 Dave Malcolm 2006-01-12 00:24:52 UTC
Old thread about this:
http://lists.ximian.com/archives/public/evolution-hackers/2004-February/002909.html

gnome-about-me in control-center package goes some way towards this.

Comment 4 Dave Malcolm 2006-01-12 00:38:39 UTC
gnome-about-me uses e_book_get_self to locate the "self" contact and book; this
is implemented in e-d-s's libebook by storing it in GConf in
/apps/evolution/addressbook/self/self_uid

So we at least have an API for this.  Need to go through the various apps and
have them call e_book_get_self and grab initialization data accordingly, and if
it's not there, (offer to?) upload the data to e-d-s so it will be for the next app.

Comment 5 Dave Malcolm 2006-01-12 01:01:30 UTC
gnome-about-me does a few other tricks, like writing to gecos for the fields
that are supported there (some overlap between the two), and writing the image
to ~/.face so that it gets picked up by gdm.

Comment 6 Dave Malcolm 2006-01-12 01:11:37 UTC
These tricks probably ought to be moved into libebook so that there's a
consistent API, and so that when you edit yourself in Evolution's contacts
component it updates those other data stores.

Comment 7 Dave Malcolm 2006-01-13 20:46:31 UTC
I've filed this upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=326899


Note You need to log in before you can comment on or make changes to this bug.